IF (EXISTS (SELECT * 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'TheSchema' 
                 AND  TABLE_NAME = 'VS4TFormula'))
BEGIN
Execute sp_rename 'VS4TFormula','_VS4TFormula'
END
GO
IF (EXISTS (SELECT * 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'TheSchema' 
                 AND  TABLE_NAME = 'VS4TFormulaGroup'))
BEGIN
Execute sp_rename 'VS4TFormulaGroup','_VS4TFormulaGroup'
END
GO
IF (EXISTS (SELECT * 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'TheSchema' 
                 AND  TABLE_NAME = 'VS4TFormulaMap'))
BEGIN
Execute sp_rename 'VS4TFormulaMap','_VS4TFormulaMap'
END
GO
IF (EXISTS (SELECT * 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'TheSchema' 
                 AND  TABLE_NAME = 'VS4TFormulaPro'))
BEGIN
Execute sp_rename 'VS4TFormulaPro','_VS4TFormulaPro'
END
GO
IF (EXISTS (SELECT * 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'TheSchema' 
                 AND  TABLE_NAME = 'VS4TFormulaScript'))
BEGIN
Execute sp_rename 'VS4TFormulaScript','_VS4TFormulaScript'
END
GO
IF (EXISTS (SELECT * 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'TheSchema' 
                 AND  TABLE_NAME = 'VS4TFormulaSub'))
BEGIN
Execute sp_rename 'VS4TFormulaSub','_VS4TFormulaSub'
END
GO
IF (EXISTS (SELECT * 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'TheSchema' 
                 AND  TABLE_NAME = 'VS4TFormulaSubCell'))
BEGIN
Execute sp_rename 'VS4TFormulaSubCell','_VS4TFormulaSubCell'
END
GO
IF (EXISTS (SELECT * 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'TheSchema' 
                 AND  TABLE_NAME = 'VS4TFormulaSystem'))
BEGIN
Execute sp_rename 'VS4TFormulaSystem','_VS4TFormulaSystem'
END
GO
IF (EXISTS (SELECT * 
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'TheSchema' 
                 AND  TABLE_NAME = 'VS4TFormulaUser'))
BEGIN
Execute sp_rename 'VS4TFormulaUser','_VS4TFormulaUser'
END
GO
